Loading...
Searching...
No Matches
gvl_calc2.c File Reference

OGSF library - loading and manipulating volumes, MarchingCubes 33 Algorithm (lower level functions). More...

`#include <float.h>`
`#include <grass/gis.h>`
`#include <grass/ogsf.h>`
`#include "mc33_table.h"`
Include dependency graph for gvl_calc2.c:

Go to the source code of this file.

## Functions

int | mc33_test_face (char face, float *v)
| ADD.
int | mc33_test_interior (char s, float *v)
| ADD.
int | mc33_process_cube (int c_ndx, float *v)
| ADD.

## Variables

unsigned char | m_case
unsigned char | m_config
unsigned char | m_subconfig

## Detailed Description

OGSF library - loading and manipulating volumes, MarchingCubes 33 Algorithm (lower level functions).

GRASS OpenGL gsurf OGSF Library

Based on implementation of MarchingCubes 33 Algorithm by Thomas Lewiner, thoma.nosp@m.s.le.nosp@m.winer.nosp@m.@pol.nosp@m.ytech.nosp@m.niqu.nosp@m.e.org, Math Dept, PUC-Rio

(C) 1999-2008 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Tomas Paudits, 2004
  Doxygenized by Martin Landa <landa.martin gmail.com> (May 2008)

Definition in file gvl_calc2.c.

## Function Documentation

## mc33_process_cube()

int mc33_process_cube | ( | int | c_ndx,
|  | float * | v )

ADD.

Parameters

  c_ndx |
  v |

Returns

Definition at line 307 of file gvl_calc2.c.

References m_case, m_config, m_subconfig, mc33_test_face(), mc33_test_interior(), OFFSET_T1, OFFSET_T10_1_1_S1, OFFSET_T10_1_1_S2, OFFSET_T10_1_2, OFFSET_T10_2_S1, OFFSET_T10_2_S2, OFFSET_T11, OFFSET_T12_1_1_S1, OFFSET_T12_1_1_S2, OFFSET_T12_1_2, OFFSET_T12_2_S1, OFFSET_T12_2_S2, OFFSET_T13_1_S1, OFFSET_T13_1_S2, OFFSET_T13_2_S1, OFFSET_T13_2_S2, OFFSET_T13_3_S1, OFFSET_T13_3_S2, OFFSET_T13_4, OFFSET_T13_5_1, OFFSET_T13_5_2, OFFSET_T14, OFFSET_T2, OFFSET_T3_1, OFFSET_T3_2, OFFSET_T4_1, OFFSET_T4_2, OFFSET_T5, OFFSET_T6_1_1, OFFSET_T6_1_2, OFFSET_T6_2, OFFSET_T7_1, OFFSET_T7_2_S1, OFFSET_T7_2_S2, OFFSET_T7_2_S3, OFFSET_T7_3_S1, OFFSET_T7_3_S2, OFFSET_T7_3_S3, OFFSET_T7_4_1, OFFSET_T7_4_2, OFFSET_T8, OFFSET_T9, OFFSET_TEST10, OFFSET_TEST12, OFFSET_TEST13, OFFSET_TEST3, OFFSET_TEST4, OFFSET_TEST6, and OFFSET_TEST7.

Referenced by iso_calc_cube().

## mc33_test_face()

int mc33_test_face | ( | char | face,
|  | float * | v )

ADD.

Parameters

  face |
  v |

Returns

Definition at line 40 of file gvl_calc2.c.

References D.

Referenced by mc33_process_cube().

## mc33_test_interior()

int mc33_test_interior | ( | char | s,
|  | float * | v )

ADD.

Parameters

  s |
  v |

Returns

Definition at line 109 of file gvl_calc2.c.

References b, cell_table, m_case, m_config, m_subconfig, OFFSET_T12_2_S1, OFFSET_T13_5_1, OFFSET_T6_1_1, OFFSET_T7_4_1, and t.

Referenced by mc33_process_cube().

## Variable Documentation

## m_case

unsigned char m_case

Definition at line 30 of file gvl_calc2.c.

Referenced by mc33_process_cube(), and mc33_test_interior().

## m_config

unsigned char m_config

Definition at line 30 of file gvl_calc2.c.

Referenced by mc33_process_cube(), and mc33_test_interior().

## m_subconfig

unsigned char m_subconfig

Definition at line 30 of file gvl_calc2.c.

Referenced by mc33_process_cube(), and mc33_test_interior().